scala.tools.nsc.typechecker.TreeCheckers.TreeChecker

# precheck

#### object precheck extends Global.Traverser with Global.TreeStackTraverser

Linear Supertypes
Global.TreeStackTraverser, Global.Traverser, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. precheck
2. TreeStackTraverser
3. Traverser
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply[T <: Global.Tree](tree: T): T

   Definition Classes
     Traverser

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def atOwner(owner: Global.Symbol)(traverse: ⇒ Unit): Unit

   Definition Classes
     Traverser

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Traverser

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### val path: Stack[Global.Tree]

    Definition Classes
      TreeStackTraverser

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### def traverse(tree: Global.Tree): Unit

    Definition Classes
      precheck → TreeStackTraverser → Traverser

24. #### def traverseStats(stats: List[Global.Tree], exprOwner: Global.Symbol): Unit

    Definition Classes
      Traverser

25. #### def traverseTrees(trees: List[Global.Tree]): Unit

    Definition Classes
      Traverser

26. #### def traverseTreess(treess: List[List[Global.Tree]]): Unit

    Definition Classes
      Traverser

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Global.TreeStackTraverser

### Inherited from Global.Traverser

### Inherited from AnyRef

### Inherited from Any

### Ungrouped